Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -7924,4 +14300,324 @@
    35.1    PlaybackMonitorOffTime               int8u & 0xe0
 
+=head3 NikonCustom SettingsD4 Tags
+
+Custom settings for the D4 and D4S.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+    0.1    CustomSettingsBank                   int8u & 0x03
+    1.1    AF-CPrioritySelection                int8u & 0xc0
+    1.2    AF-SPrioritySelection                int8u & 0x20
+    1.3    AFPointSelection                     int8u & 0x10
+    1.4    FocusTrackingLockOn                  int8u & 0x07
+    2.1    AFActivation                         int8u & 0x80
+    2.2    FocusPointWrap                       int8u & 0x08
+    4.1    Pitch                                int8u & 0x40
+    4.2    NoMemoryCard                         int8u & 0x20
+    4.3    GridDisplay                          int8u & 0x02
+    5.1    ShootingInfoDisplay                  int8u & 0xc0
+    5.2    LCDIllumination                      int8u & 0x20
+    5.3    ScreenTips                           int8u & 0x04
+    5.4    Beep                                 int8u & 0x03
+    6.1    ReverseIndicators                    int8u & 0x80
+    6.2    RearDisplay                          int8u & 0x40
+    6.3    ViewfinderDisplay                    int8u & 0x20
+    6.4    CommandDialsReverseRotation          int8u & 0x18
+    6.5    EasyExposureCompensation             int8u & 0x03
+    7.1    ExposureControlStepSize              int8u & 0xc0
+    7.2    ISOStepSize                          int8u & 0x30
+    7.3    ExposureCompStepSize                 int8u & 0x0c
+    8.1    CenterWeightedAreaSize               int8u & 0xe0
+    8.2    FineTuneOptMatrixMetering            int8u & 0x0f
+    9.1    FineTuneOptCenterWeighted            int8u & 0xf0
+    9.2    FineTuneOptSpotMetering              int8u & 0x0f
+   10.1    MultiSelectorShootMode               int8u & 0xc0
+   10.2    MultiSelectorPlaybackMode            int8u & 0x30
+   10.3    MultiSelector                        int8u & 0x01
+   11.1    ExposureDelayMode                    int8u & 0xc0
+   11.2    CHModeShootingSpeed                  int8u & 0x10
+   11.3    CLModeShootingSpeed                  int8u & 0x0f
+     12    MaxContinuousRelease                 int8u
+   13.1    AutoBracketSet                       int8u & 0xe0
+   13.2    AutoBracketOrder                     int8u & 0x10
+   13.3    AutoBracketModeM                     int8u & 0x0c
+   14.1    FuncButton                           int8u & 0xf8
+   14.2    FuncButtonPlusDials                  int8u & 0x07
+   15.1    PreviewButton                        int8u & 0xf8
+   15.2    PreviewButtonPlusDials               int8u & 0x07
+   16.1    AssignBktButton                      int8u & 0x07
+   18.1    CommandDialsChangeMainSub            int8u & 0xe0
+   18.2    CommandDialsMenuAndPlayback          int8u & 0x18
+   18.3    CommandDialsApertureSetting          int8u & 0x04
+   18.4    ShutterReleaseButtonAE-L             int8u & 0x02
+   18.5    ReleaseButtonToUseDial               int8u & 0x01
+   19.1    StandbyTimer                         int8u & 0xf0
+   20.1    SelfTimerTime                        int8u & 0xc0
+   20.2    SelfTimerShotCount                   int8u & 0x0f
+   20.3    SelfTimerShotInterval                int8u & 0x30
+   21.1    ImageReviewMonitorOffTime            int8u & 0xe0
+   21.2    LiveViewMonitorOffTime               int8u & 0x1c
+   22.1    MenuMonitorOffTime                   int8u & 0xe0
+   22.2    ShootingInfoMonitorOffTime           int8u & 0x1c
+   23.1    FlashSyncSpeed                       int8u & 0xf0
+   23.2    FlashShutterSpeed                    int8u & 0x0f
+   31.1    ModelingFlash                        int8u & 0x20
+   36.1    PlaybackMonitorOffTime               int8u & 0xe0
+   37.1    PlaybackZoom                         int8u & 0x01
+   38.1    ShutterSpeedLock                     int8u & 0x80
+   38.2    ApertureLock                         int8u & 0x40
+   38.3    MovieShutterButton                   int8u & 0x30
+   38.4    FlashExposureCompArea                int8u & 0x04
+   41.1    MovieFunctionButton                  int8u & 0x70
+   41.2    MoviePreviewButton                   int8u & 0x07
+   42.1    VerticalMultiSelector                int8u & 0x60
+   42.2    VerticalFuncButton                   int8u & 0x1f
+   43.1    VerticalFuncButtonPlusDials          int8u & 0xf0
+   43.2    AssignMovieRecordButton              int8u & 0x07
+   46.1    DynamicAreaAFDisplay                 int8u & 0x80
+   46.2    AFPointIllumination                  int8u & 0x60
+   46.3    StoreByOrientation                   int8u & 0x18
+   46.4    GroupAreaAFIllumination              int8u & 0x04
+   46.5    AFPointBrightness                    int8u & 0x03
+   47.1    AFOnButton                           int8u & 0x70
+   47.2    VerticalAFOnButton                   int8u & 0x07
+   48.1    SubSelectorAssignment                int8u & 0x80
+   48.2    MovieSubSelectorAssignment           int8u & 0x07
+   49.1    SubSelector                          int8u & 0xf8
+   49.2    SubSelectorPlusDials                 int8u & 0x07
+   50.1    MatrixMetering                       int8u & 0x80
+   50.2    LiveViewButtonOptions                int8u & 0x30
+   50.3    AFModeRestrictions                   int8u & 0x03
+   51.1    LimitAFAreaModeSelection             int8u & 0x7e
+   52.1    MovieFunctionButtonPlusDials         int8u & 0x10
+   52.2    MoviePreviewButtonPlusDials          int8u & 0x01
+   53.1    MovieSubSelectorAssignmentPlusDials  int8u & 0x10
+   54.1    AssignRemoteFnButton                 int8u & 0x1f
+   55.1    LensFocusFunctionButtons             int8u & 0x3f
+
+=head3 NikonCustom SettingsD5 Tags
+
+Custom settings for the D5.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+    0.1    CustomSettingsBank                   int8u & 0x03
+    1.1    AF-CPrioritySelection                int8u & 0xc0
+    1.2    AF-SPrioritySelection                int8u & 0x20
+    1.3    NumberOfFocusPoints                  int8u & 0x10
+    1.4    Three-DTrackingFaceDetection         int8u & 0x08
+    1.5    BlockShotAFResponse                  int8u & 0x07
+    2.1    FocusPointWrap                       int8u & 0x08
+    2.2    AFPointBrightness                    int8u & 0x06
+    4.1    ISODisplay                           int8u & 0x08
+    4.2    GridDisplay                          int8u & 0x02
+    5.1    LCDIllumination                      int8u & 0x20
+    5.2    ElectronicFront-CurtainShutter       int8u & 0x08
+    6.1    ReverseIndicators                    int8u & 0x80
+    6.2    CommandDialsReverseRotation          int8u & 0x18
+    6.3    EasyExposureCompensation             int8u & 0x03
+    7.1    ExposureControlStepSize              int8u & 0xc0
+    7.2    ISOStepSize                          int8u & 0x30
+    7.3    ExposureCompStepSize                 int8u & 0x0c
+    8.1    CenterWeightedAreaSize               int8u & 0xe0
+    8.2    FineTuneOptMatrixMetering            int8u & 0x0f
+    9.1    FineTuneOptCenterWeighted            int8u & 0xf0
+    9.2    FineTuneOptSpotMetering              int8u & 0x0f
+   10.1    MultiSelectorShootMode               int8u & 0xe0
+   10.3    MultiSelector                        int8u & 0x01
+   11.1    ExposureDelayMode                    int8u & 0xc0
+   11.2    CLModeShootingSpeed                  int8u & 0x0f
+   12.1    MaxContinuousRelease                 int8u
+   13.1    AutoBracketOrder                     int8u & 0x10
+   13.2    AutoBracketModeM                     int8u & 0x0c
+   14.1    Func1Button                          int8u & 0x3f
+   15.1    PreviewButton                        int8u & 0x3f
+   16.1    AssignBktButton                      int8u & 0x07
+   18.1    CommandDialsChangeMainSub            int8u & 0xe0
+   18.2    CommandDialsMenuAndPlayback          int8u & 0x18
+   18.3    CommandDialsApertureSetting          int8u & 0x04
+   18.4    ReleaseButtonToUseDial               int8u & 0x01
+   19.1    StandbyTimer                         int8u & 0xf0
+   20.1    SelfTimerTime                        int8u & 0xc0
+   20.2    SelfTimerShotInterval                int8u & 0x30
+   20.3    SelfTimerShotCount                   int8u & 0x0f
+   21.1    ImageReviewMonitorOffTime            int8u & 0xe0
+   21.2    LiveViewMonitorOffTime               int8u & 0x1c
+   22.1    MenuMonitorOffTime                   int8u & 0xe0
+   22.2    ShootingInfoMonitorOffTime           int8u & 0x1c
+   23.1    FlashSyncSpeed                       int8u & 0xf0
+   23.2    FlashShutterSpeed                    int8u & 0x0f
+   31.1    ModelingFlash                        int8u & 0x20
+   36.1    PlaybackMonitorOffTime               int8u & 0xe0
+   37.1    MultiSelectorLiveView                int8u & 0xc0
+   38.1    ShutterSpeedLock                     int8u & 0x80
+   38.2    ApertureLock                         int8u & 0x40
+   38.3    MovieShutterButton                   int8u & 0x10
+   38.4    FlashExposureCompArea                int8u & 0x04
+   38.5    AutoFlashISOSensitivity              int8u & 0x02
+   41.1    MovieFunc1Button                     int8u & 0xf0
+   41.2    MoviePreviewButton                   int8u & 0x0f
+   42.1    Func1ButtonPlusDials                 int8u & 0x0f
+   43.1    PreviewButtonPlusDials               int8u & 0x0f
+   45.1    AssignMovieRecordButtonPlusDials     int8u & 0x0f
+   46.1    FineTuneOptHighlightWeighted         int8u & 0x0f
+   47.1    DynamicAreaAFDisplay                 int8u & 0x80
+   47.2    AFPointIllumination                  int8u & 0x40
+   47.3    StoreByOrientation                   int8u & 0x18
+   48.1    MatrixMetering                       int8u & 0x80
+   48.2    LiveViewButtonOptions                int8u & 0x30
+   48.3    AFModeRestrictions                   int8u & 0x03
+   49.1    LimitAFAreaModeSelection             int8u & 0x7e
+   52.1    LensFocusFunctionButtons             int8u & 0x3f
+   66.1    VerticalMultiSelector                int8u & 0xff
+   67.1    VerticalFuncButton                   int8u & 0x3f
+   68.1    VerticalFuncPlusDials                int8u & 0x0f
+   70.1    AF-OnButton                          int8u & 0x3f
+   71.1    SubSelector                          int8u & 0x80
+   72.1    SubSelectorCenter                    int8u & 0x3f
+   73.1    SubSelectorPlusDials                 int8u & 0x0f
+   74.1    AssignMovieSubselector               int8u & 0xf0
+   75.1    AssignMovieFunc1ButtonPlusDials      int8u & 0x10
+   75.2    AssignMoviePreviewButtonPlusDials    int8u & 0x01
+   76.1    AssignMovieSubselectorPlusDials      int8u & 0x10
+   77.1    SyncReleaseMode                      int8u & 0x80
+   78.1    Three-DTrackingWatchArea             int8u & 0x80
+   78.2    SubjectMotion                        int8u & 0x60
+   78.3    AFActivation                         int8u & 0x08
+   78.4    ShutterReleaseButtonAE-L             int8u & 0x03
+   79.1    VerticalAFOnButton                   int8u & 0x7f
+   80.1    Func2Button                          int8u & 0x3f
+   81.1    Func2ButtonPlusDials                 int8u & 0x0f
+   82.1    AssignMovieFunc2Button               int8u & 0x70
+   83.1    Func3Button                          int8u & 0x03
+
+=head3 NikonCustom SettingsD500 Tags
+
+Custom settings for the D500.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+    0.1    CustomSettingsBank                   int8u & 0x03
+    1.1    AF-CPrioritySelection                int8u & 0xc0
+    1.2    AF-SPrioritySelection                int8u & 0x20
+    1.3    NumberOfFocusPoints                  int8u & 0x10
+    1.4    Three-DTrackingFaceDetection         int8u & 0x08
+    1.5    BlockShotAFResponse                  int8u & 0x07
+    2.1    FocusPointWrap                       int8u & 0x08
+    2.2    AFPointBrightness                    int8u & 0x06
+    4.1    ISODisplay                           int8u & 0x08
+    4.2    GridDisplay                          int8u & 0x02
+    5.1    LCDIllumination                      int8u & 0x20
+    5.2    ElectronicFront-CurtainShutter       int8u & 0x08
+    6.1    ReverseIndicators                    int8u & 0x80
+    6.2    CommandDialsReverseRotation          int8u & 0x18
+    6.3    EasyExposureCompensation             int8u & 0x03
+    7.1    ExposureControlStepSize              int8u & 0xc0
+    7.2    ISOStepSize                          int8u & 0x30
+    7.3    ExposureCompStepSize                 int8u & 0x0c
+    8.1    CenterWeightedAreaSize               int8u & 0xe0
+    8.2    FineTuneOptMatrixMetering            int8u & 0x0f
+    9.1    FineTuneOptCenterWeighted            int8u & 0xf0
+    9.2    FineTuneOptSpotMetering              int8u & 0x0f
+   10.1    MultiSelectorShootMode               int8u & 0xe0
+   10.2    MultiSelectorPlaybackMode            int8u & 0x0c
+   10.3    MultiSelector                        int8u & 0x01
+   11.1    ExposureDelayMode                    int8u & 0xc0
+   11.2    CLModeShootingSpeed                  int8u & 0x0f
+   12.1    MaxContinuousRelease                 int8u
+   13.1    AutoBracketOrder                     int8u & 0x10
+   13.2    AutoBracketModeM                     int8u & 0x0c
+   14.1    Func1Button                          int8u & 0x3f
+   15.1    PreviewButton                        int8u & 0x3f
+   16.1    AssignBktButton                      int8u & 0x07
+   18.1    CommandDialsChangeMainSub            int8u & 0xe0
+   18.2    CommandDialsMenuAndPlayback          int8u & 0x18
+   18.3    CommandDialsApertureSetting          int8u & 0x04
+   18.4    ReleaseButtonToUseDial               int8u & 0x01
+   19.1    StandbyTimer                         int8u & 0xf0
+   20.1    SelfTimerTime                        int8u & 0xc0
+   20.2    SelfTimerShotInterval                int8u & 0x30
+   20.3    SelfTimerShotCount                   int8u & 0x0f
+   21.1    ImageReviewMonitorOffTime            int8u & 0xe0
+   21.2    LiveViewMonitorOffTime               int8u & 0x1c
+   22.1    MenuMonitorOffTime                   int8u & 0xe0
+   22.2    ShootingInfoMonitorOffTime           int8u & 0x1c
+   23.1    FlashSyncSpeed                       int8u & 0xf0
+   23.2    FlashShutterSpeed                    int8u & 0x0f
+   31.1    ModelingFlash                        int8u & 0x20
+   36.1    PlaybackMonitorOffTime               int8u & 0xe0
+   37.1    MultiSelectorLiveView                int8u & 0xc0
+   38.1    ShutterSpeedLock                     int8u & 0x80
+   38.2    ApertureLock                         int8u & 0x40
+   38.3    MovieShutterButton                   int8u & 0x10
+   38.4    FlashExposureCompArea                int8u & 0x04
+   38.5    AutoFlashISOSensitivity              int8u & 0x02
+   41.1    MovieFunc1Button                     int8u & 0xf0
+   41.2    MoviePreviewButton                   int8u & 0x0f
+   42.1    Func1ButtonPlusDials                 int8u & 0x0f
+   43.1    PreviewButtonPlusDials               int8u & 0x0f
+   45.1    AssignMovieRecordButtonPlusDials     int8u & 0x0f
+   46.1    FineTuneOptHighlightWeighted         int8u & 0x0f
+   47.1    DynamicAreaAFDisplay                 int8u & 0x80
+   47.2    AFPointIllumination                  int8u & 0x40
+   47.3    StoreByOrientation                   int8u & 0x18
+   47.4    GroupAreaAFIllumination              int8u & 0x04
+   48.1    MatrixMetering                       int8u & 0x80
+   48.2    LiveViewButtonOptions                int8u & 0x30
+   48.3    AFModeRestrictions                   int8u & 0x03
+   49.1    LimitAFAreaModeSelection             int8u & 0x7e
+   52.1    LensFocusFunctionButtons             int8u & 0x3f
+   66.1    VerticalMultiSelector                int8u & 0xff
+   67.1    AssignMB-D17FuncButton               int8u & 0x3f
+   68.1    AssignMB-D17FuncButtonPlusDials      int8u & 0x0f
+   70.1    AF-OnButton                          int8u & 0x3f
+   71.1    SubSelector                          int8u & 0x80
+   72.1    SubSelectorCenter                    int8u & 0x3f
+   73.1    SubSelectorPlusDials                 int8u & 0x0f
+   74.1    AssignMovieSubselector               int8u & 0xf0
+   75.1    AssignMovieFunc1ButtonPlusDials      int8u & 0x10
+   75.2    AssignMoviePreviewButtonPlusDials    int8u & 0x01
+   76.1    AssignMovieSubselectorPlusDials      int8u & 0x10
+   77.1    SyncReleaseMode                      int8u & 0x80
+   78.1    Three-DTrackingWatchArea             int8u & 0x80
+   78.2    SubjectMotion                        int8u & 0x60
+   78.3    AFActivation                         int8u & 0x08
+   78.4    ShutterReleaseButtonAE-L             int8u & 0x03
+   79.1    AssignMB-D17AF-OnButton              int8u & 0x7f
+   80.1    Func2Button                          int8u & 0x3f
+   82.1    AssignMovieFunc2Button               int8u & 0x70
+
+=head3 NikonCustom SettingsD610 Tags
+
+Custom settings for the D610.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+    0.1    AF-CPrioritySelection                int8u & 0x80
+    0.2    AF-SPrioritySelection                int8u & 0x20
+    0.3    NumberOfFocusPoints                  int8u & 0x10
+    0.4    FocusTrackingLockOn                  int8u & 0x07
+    1.1    FocusPointWrap                       int8u & 0x08
+    1.2    AFPointIllumination                  int8u & 0x06
+    1.3    AFAssist                             int8u & 0x01
+    5.1    EasyExposureCompensation             int8u & 0x03
+    6.1    ExposureControlStep                  int8u & 0x40
+    6.2    ISOSensitivityStep                   int8u & 0x10
+    7.1    CenterWeightedAreaSize               int8u & 0xe0
+    7.2    FineTuneOptMatrixMetering            int8u & 0x0f
+    8.1    FineTuneOptCenterWeighted            int8u & 0xf0
+    8.2    FineTuneOptSpotMetering              int8u & 0x0f
+   17.1    ShutterReleaseButtonAE-L             int8u & 0x02
+   18.1    StandbyTimer                         int8u & 0xf0
+   18.2    RemoteOnDuration                     int8u & 0x03
+   19.1    SelfTimerTime                        int8u & 0xc0
+   19.2    SelfTimerShotInterval                int8u & 0x30
+   19.3    SelfTimerShotCount                   int8u & 0x0f
+   20.1    ImageReviewMonitorOffTime            int8u & 0xe0
+   20.2    LiveViewMonitorOffTime               int8u & 0x1c
+   21.1    MenuMonitorOffTime                   int8u & 0xe0
+   21.2    ShootingInfoMonitorOffTime           int8u & 0x1c
+   35.1    PlaybackMonitorOffTime               int8u & 0xe0
+
 =head2 NikonCapture Tags
 
@@ -7941,4 +14637,5 @@
   0x3cfc73c6   RedEyeData                       NikonCapture RedEyeData
   0x3d136244   EditVersionName                  string
+  0x416391c6   QuickFix                         int8u
   0x56a54260   Exposure                         NikonCapture Exposure
   0x5f0e7d23   ColorBooster                     int8u
@@ -7972,6 +14669,6 @@
 =head3 NikonCapture HighlightData Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    ShadowProtection                     int8s
       1    SaturationAdj                        int8s
@@ -7980,6 +14677,6 @@
 =head3 NikonCapture CropData Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
      30    CropLeft                             double
      38    CropTop                              double
@@ -7998,6 +14695,6 @@
 =head3 NikonCapture PictureCtrl Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    PictureControlActive                 int8u
      19    PictureControlMode                   string[16]
@@ -8011,14 +14708,14 @@
 =head3 NikonCapture RedEyeData Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    RedEyeCorrection                     int8u
 
 =head3 NikonCapture Exposure Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    ExposureAdj                          int16s
-     18    ExposureAdj2                         double~
+     18    ExposureAdj2                         double
      36    ActiveD-Lighting                     int8u
      37    ActiveD-LightingMode                 int8u
@@ -8026,6 +14723,6 @@
 =head3 NikonCapture Brightness Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    BrightnessAdj                        double
       8    EnhanceDarkTones                     int8u
@@ -8033,6 +14730,6 @@
 =head3 NikonCapture DLightingHQ Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
       0    D-LightingHQShadow                   int32u
       1    D-LightingHQHighlight                int32u
@@ -8041,6 +14738,6 @@
 =head3 NikonCapture NoiseReduction Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       4    EdgeNoiseReduction                   int8u
       5    ColorMoireReductionMode              int8u
@@ -8055,6 +14752,6 @@
 =head3 NikonCapture PhotoEffects Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    PhotoEffectsType                     int8u
       4    PhotoEffectsRed                      int16s
@@ -8064,6 +14761,6 @@
 =head3 NikonCapture ColorBoost Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    ColorBoostType                       int8u
       1    ColorBoostLevel                      int32u
@@ -8071,11 +14768,10 @@
 =head3 NikonCapture WBAdjData Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    WBAdjRedBalance                      double
       8    WBAdjBlueBalance                     double
      16    WBAdjMode                            int8u
-     20    WBAdjLightingSubtype                 int8u
-     21    WBAdjLighting                        int8u
+     20    WBAdjLighting                        int16u
      24    WBAdjTemperature                     int16u
      37    WBAdjTint                            int32s
@@ -8083,6 +14779,6 @@
 =head3 NikonCapture DLightingHS Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
       0    D-LightingHSAdjustment               int32u
       1    D-LightingHSColorBoost               int32u
@@ -8090,6 +14786,6 @@
 =head3 NikonCapture UnsharpData Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    UnsharpCount                         int8u
      19    Unsharp1Color                        int16u
@@ -8110,9 +14806,26 @@
     108    Unsharp4Threshold                    int8u
 
+=head2 Nintendo Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x1101   CameraInfo                           Nintendo CameraInfo
+
+=head3 Nintendo CameraInfo Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    ModelID                              undef[4]
+      8    TimeStamp                            int32u
+     24    InternalSerialNumber                 undef[4]
+     40    Parallax                             float
+     48    Category                             int16u
+
 =head2 Olympus Tags
 
 Tags 0x0000 through 0x0103 are used by some older Olympus cameras, and are
-the same as Konica/Minolta tags.  The Olympus tags are also used for Epson
-and Agfa cameras.
+the same as Konica/Minolta tags.  These tags are also used for some models
+from other brands such as Acer, BenQ, Epson, Hitachi, HP, Maginon, Minolta,
+Pentax, Ricoh, Samsung, Sanyo, SeaLife, Sony, Supra and Vivitar.
 
   Tag ID   Tag Name                             Writable
@@ -8122,7 +14835,7 @@
   0x0003   MinoltaCameraSettings                Minolta CameraSettings
   0x0040   CompressedImageSize                  int32u
-  0x0081   PreviewImageData                     N
-  0x0088   PreviewImageStart                    N
-  0x0089   PreviewImageLength                   N
+  0x0081   PreviewImageData                     no
+  0x0088   PreviewImageStart                    no
+  0x0089   PreviewImageLength                   no
   0x0100   ThumbnailImage                       undef
   0x0104   BodyFirmwareVersion                  string
@@ -8137,6 +14850,6 @@
   0x0208   TextInfo                             Olympus TextInfo
   0x0209   CameraID                             string
-  0x020b   EpsonImageWidth                      int16u
-  0x020c   EpsonImageHeight                     int16u
+  0x020b   EpsonImageWidth                      int32u
+  0x020c   EpsonImageHeight                     int32u
   0x020d   EpsonSoftware                        string
   0x0280   PreviewImage                         int8u
@@ -8146,10 +14859,12 @@
   0x0303   WhiteBalanceBracket                  int16u
   0x0304   WhiteBalanceBias                     int16u
+  0x0400   SensorArea                           undef[8]
+  0x0401   BlackLevel                           int32u[4]
   0x0403   SceneMode                            int16u
   0x0404   SerialNumber                         string
   0x0405   Firmware                             string
   0x0e00   PrintIM                              PrintIM
-  0x0f00   DataDump                             N
-  0x0f01   DataDump2                            N
+  0x0f00   DataDump                             no
+  0x0f01   DataDump2                            no
   0x0f04   ZoomedPreviewStart                   int32u*
   0x0f05   ZoomedPreviewLength                  int32u*
@@ -8263,6 +14978,6 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'Resolution'         Resolution               N
-  'Type'               CameraType               N
+  'Resolution'         Resolution               no
+  'Type'               CameraType               no
 
 =head3 Olympus Equipment Tags
@@ -8284,5 +14999,5 @@
   0x0207   MinFocalLength                       int16u
   0x0208   MaxFocalLength                       int16u
-  0x020a   MaxApertureAtCurrentFocal            int16u
+  0x020a   MaxAperture                          int16u
   0x020b   LensProperties                       int16u
   0x0301   Extender                             int8u[6]
@@ -8290,4 +15005,5 @@
   0x0303   ExtenderModel                        string
   0x0304   ExtenderFirmwareVersion              int32u
+  0x0403   ConversionLens                       string
   0x1000   FlashType                            int16u
   0x1001   FlashModel                           int16u
@@ -8307,4 +15023,5 @@
   0x0202   MeteringMode                         int16u
   0x0203   ExposureShift                        rational64s
+  0x0204   NDFilter                             yes
   0x0300   MacroMode                            int16u
   0x0301   FocusMode                            int16u[n]
@@ -8312,12 +15029,14 @@
   0x0303   AFSearch                             int16u
   0x0304   AFAreas                              int32u[64]~
-  0x0305   AFPointSelected                      rational64s[5]~
+  0x0305   AFPointSelected                      rational64s[5]
+  0x0306   AFFineTune                           int8u
   0x0307   AFFineTuneAdj                        int16s[3]
+  0x0308   FocusBracketStepSize                 int8u
   0x0400   FlashMode                            int16u
   0x0401   FlashExposureComp                    rational64s
   0x0403   FlashRemoteControl                   int16u
-  0x0404   FlashControlMode                     int16u[3]
-  0x0405   FlashIntensity                       rational64s[3]
-  0x0406   ManualFlashStrength                  rational64s[3]
+  0x0404   FlashControlMode                     int16u[n]
+  0x0405   FlashIntensity                       rational64s[n]
+  0x0406   ManualFlashStrength                  rational64s[n]
   0x0500   WhiteBalance2                        int16u
   0x0501   WhiteBalanceTemperature              int16u
